package cn.com.ctop.common.module.achievements.service;

import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;

/**
 * 设计人员绩效
 *
 * @author: zian Y
 * @date: 2022-09-28
 * @cersion: V1.0
 */
public interface IDesignerService {

    Result updateUserHappyProbability(JSONObject jsonObject);

    Result getDesignerBasicsAndHotVideoInfo(String userId, String yearTime, String monthTime, int pageNum, int pageSize);

    Result getDesignerBasicsAndAch(String userId, String yearTime, String monthTime, int pageNum, int pageSize);

    Result getDesignerBasicsAndAchAndComInfo(String userId, String yearTime, String monthTime, int pageNum, int pageSize);

    Result getUserByRoleName(String roleName);

}
